soldListing
curl --request GET \
--url https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"LotSizeAcres": 0,
"BathroomsFull": 3,
"BathroomsHalf": 0,
"BathroomsOneQuarter": null,
"BathroomsPartial": null,
"BathroomsThreeQuarter": null,
"BathroomsTotalInteger": 3,
"BathroomsTotal": 3,
"BedroomsTotal": 8,
"PublicTitle": "Amazingly Remarkable!",
"PublicRemarks": "Publicalistically Remarkabalistically! REMARKABLE!!",
"ModificationTimestamp": "2018-03-20T18:04:55.6590000+00:00",
"InternetAddressDisplayYN": true,
"DaysOnMarket": 0,
"ListingContractDate": "2016-07-27",
"CreatedDate": "2016-11-01",
"ElementarySchool": "Elementary My Dear School",
"GarageSpaces": 4,
"WaterfrontYN": false,
"HighSchool": "Higher Than Junior",
"AssociationFee": null,
"ListOfficeName": "Realty Valley United",
"ListPrice": 599000,
"ListingID": "12323",
"ListAgentFullName": "Bob Agentson",
"ListAgentUUID": "8675309e9-1234-dead-beef-deadbeefdead",
"ListAgentOfficeID": "abc123",
"ListAgentMoxiWorksOfficeID": "abcd1234",
"SecondaryListAgentFullName": "Richard Agent",
"SecondaryListAgentUUID": "8675309e9-2345-dead-beef-deadbeefdead",
"SchoolDistrict": "Hilltop District",
"Address": "97 Hilltop Road",
"Address2": null,
"City": "Montecarlo",
"CountyOrParish": "Counting Parishes",
"Latitude": "47.723251",
"Longitude": "-122.171745",
"StateOrProvince": "NV",
"PostalCode": "87654",
"Community": "Shady Acres",
"LotSizeSquareFeet": null,
"InternetEntireListingDisplayYN": true,
"MiddleOrJuniorSchool": "*The* Junior High",
"ListOfficeAOR": "WHATEVERS MLS",
"ListOfficeAORArea": "Area 51",
"PoolYN": false,
"PropertyType": "Residential",
"TaxAnnualAmount": 13652,
"TaxYear": 2015,
"SingleStory": false,
"LivingArea": 3640,
"ViewYN": false,
"YearBuilt": 1989,
"OnMarket": true,
"Status": "active",
"MoxiWorksListingId": "abc123",
"AgentCreatedListing": false,
"VirtualTourURL": "http://the.virtual.tour.url",
"TaxParcelId": "9831200160",
"CompanyListingAttributes": [
{
"AttributeId": "the collection",
"AttributeName": "The Collection"
},
{
"AttributeId": "destination",
"AttributeName": "Destination"
}
],
"PropertyFeatures": [
{
"PropertyFeatureName": "Kitchen Information",
"PropertyFeatureValues": [
"Dishwasher",
"Microwave",
"Oven/Range Freestanding"
]
},
{
"PropertyFeatureName": "Roof Description",
"PropertyFeatureValues": [
"Comp Shingle"
]
},
{
"PropertyFeatureName": "Number Of Stories",
"PropertyFeatureValues": [
"Two Story"
]
},
{
"PropertyFeatureName": "Interior Features",
"PropertyFeatureValues": [
"Bath Master",
"Broadband Internet",
"Cable/Satellite Tv",
"Dishwasher",
"Microwave",
"Oven/Range Freestanding"
]
}
],
"OpenHouse": [
{
"Date": "2018-01-06",
"StartTime": "2026-03-13",
"EndTime": "2026-03-13"
}
],
"ImagesLastModified": "2018-01-22",
"ListingImages": [
{
"FullURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"GalleryURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"RawURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"SmallURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"ThumbURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"Title": "Image Title",
"IsMainListingImage": true,
"Caption": "Image Caption",
"Description": "Image Description",
"Width": 1024,
"Height": 768,
"MimeType": "image/jpeg"
}
],
"SoldDate": "2016-11-04",
"SoldPrice": 192349,
"BuyerAgentFullName": "Fred Agentguy",
"BuyerAgentUUID": "deadbeef-dead-beef-dead-beefdeadbeef",
"BuyerAgentOfficeName": "Super BuyerOffice",
"BuyerAgentOfficeID": "abc123",
"BuyerAgentMoxiWorksOfficeID": "deadbeef-dead-beef-deaddeaddead"
}Listings
soldListing
MoxiWorks Platform SoldListing entities represent a Brokerage’s sold listings.
GET
/
sold_listings
/
{moxi_works_listing_id}
soldListing
curl --request GET \
--url https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.windermere.com/v1/api/sold_listings/{moxi_works_listing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"LotSizeAcres": 0,
"BathroomsFull": 3,
"BathroomsHalf": 0,
"BathroomsOneQuarter": null,
"BathroomsPartial": null,
"BathroomsThreeQuarter": null,
"BathroomsTotalInteger": 3,
"BathroomsTotal": 3,
"BedroomsTotal": 8,
"PublicTitle": "Amazingly Remarkable!",
"PublicRemarks": "Publicalistically Remarkabalistically! REMARKABLE!!",
"ModificationTimestamp": "2018-03-20T18:04:55.6590000+00:00",
"InternetAddressDisplayYN": true,
"DaysOnMarket": 0,
"ListingContractDate": "2016-07-27",
"CreatedDate": "2016-11-01",
"ElementarySchool": "Elementary My Dear School",
"GarageSpaces": 4,
"WaterfrontYN": false,
"HighSchool": "Higher Than Junior",
"AssociationFee": null,
"ListOfficeName": "Realty Valley United",
"ListPrice": 599000,
"ListingID": "12323",
"ListAgentFullName": "Bob Agentson",
"ListAgentUUID": "8675309e9-1234-dead-beef-deadbeefdead",
"ListAgentOfficeID": "abc123",
"ListAgentMoxiWorksOfficeID": "abcd1234",
"SecondaryListAgentFullName": "Richard Agent",
"SecondaryListAgentUUID": "8675309e9-2345-dead-beef-deadbeefdead",
"SchoolDistrict": "Hilltop District",
"Address": "97 Hilltop Road",
"Address2": null,
"City": "Montecarlo",
"CountyOrParish": "Counting Parishes",
"Latitude": "47.723251",
"Longitude": "-122.171745",
"StateOrProvince": "NV",
"PostalCode": "87654",
"Community": "Shady Acres",
"LotSizeSquareFeet": null,
"InternetEntireListingDisplayYN": true,
"MiddleOrJuniorSchool": "*The* Junior High",
"ListOfficeAOR": "WHATEVERS MLS",
"ListOfficeAORArea": "Area 51",
"PoolYN": false,
"PropertyType": "Residential",
"TaxAnnualAmount": 13652,
"TaxYear": 2015,
"SingleStory": false,
"LivingArea": 3640,
"ViewYN": false,
"YearBuilt": 1989,
"OnMarket": true,
"Status": "active",
"MoxiWorksListingId": "abc123",
"AgentCreatedListing": false,
"VirtualTourURL": "http://the.virtual.tour.url",
"TaxParcelId": "9831200160",
"CompanyListingAttributes": [
{
"AttributeId": "the collection",
"AttributeName": "The Collection"
},
{
"AttributeId": "destination",
"AttributeName": "Destination"
}
],
"PropertyFeatures": [
{
"PropertyFeatureName": "Kitchen Information",
"PropertyFeatureValues": [
"Dishwasher",
"Microwave",
"Oven/Range Freestanding"
]
},
{
"PropertyFeatureName": "Roof Description",
"PropertyFeatureValues": [
"Comp Shingle"
]
},
{
"PropertyFeatureName": "Number Of Stories",
"PropertyFeatureValues": [
"Two Story"
]
},
{
"PropertyFeatureName": "Interior Features",
"PropertyFeatureValues": [
"Bath Master",
"Broadband Internet",
"Cable/Satellite Tv",
"Dishwasher",
"Microwave",
"Oven/Range Freestanding"
]
}
],
"OpenHouse": [
{
"Date": "2018-01-06",
"StartTime": "2026-03-13",
"EndTime": "2026-03-13"
}
],
"ImagesLastModified": "2018-01-22",
"ListingImages": [
{
"FullURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"GalleryURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"RawURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"SmallURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"ThumbURL": "http://images.moxiworks.com/static/images/br/imagoo/default_property_image_wre-326x250.png",
"Title": "Image Title",
"IsMainListingImage": true,
"Caption": "Image Caption",
"Description": "Image Description",
"Width": 1024,
"Height": 768,
"MimeType": "image/jpeg"
}
],
"SoldDate": "2016-11-04",
"SoldPrice": 192349,
"BuyerAgentFullName": "Fred Agentguy",
"BuyerAgentUUID": "deadbeef-dead-beef-dead-beefdeadbeef",
"BuyerAgentOfficeName": "Super BuyerOffice",
"BuyerAgentOfficeID": "abc123",
"BuyerAgentMoxiWorksOfficeID": "deadbeef-dead-beef-deaddeaddead"
}Authorizations
apiKeyHeaderapiKeyQuery
Path Parameters
This is the MoxiWorks Platform ID of the SoldListing which you are requesting to Show. This data is required and must reference a valid MoxiWorks SoldListing ID for your Show request to be accepted
Query Parameters
A valid MoxiWorks Company ID. Use Company Endpoint to determine what moxi_works_company_id you can use.
This is the MoxiWorks Platform ID of the SoldListing which you are requesting to Show. This data is required and must reference a valid MoxiWorks SoldListing ID for your Show request to be accepted.
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

